use "C:\multi\STATA\cluster.dta", clear
egen ZA=std(A)
egen ZB=std(B)
egen ZC=std(C)
egen ZD=std(D)
egen ZE=std(E)
cluster Wardslinkage ZA-ZE, name(WardsLinkage) L2squared
cluster gen Ward3=groups(3)
cluster tree WardsLinkage, label(ID)
tabstat A-E, by(Ward3)
cluster kmeans ZA-ZE, k(3) name(Kmean3)
cluster kmedians ZA-ZE, k(3) name(Kmedian3)